<?php

/**
 * Mod Rewrite front_content.php controller. Does some preprocessing jobs, tries
 * to set following variables, depending on mod rewrite configuration and if
 * request part exists:
 * - $client
 * - $changeclient
 * - $lang
 * - $changelang
 * - $idart
 * - $idcat
 *
 * @author      Murat Purc <muratpurc.de>
 * @copyright    Murat Purc 2008
 * @package     Contenido
 * @subpackage  ModRewrite
 */


defined('CON_FRAMEWORK') or die('Illegal call');

global $client, $changeclient, $cfgClient, $lang, $changelang, $idart, $idcat, $path;

#$aMrCfg = ModRewrite::getConfig();

$oDebug = Contenido_mpDebug::getInstance();

$oDebug->addDebug(ModRewrite::getConfig(), 'front_content_controller.php mod rewrite config');


// create an mod rewrite controller instance and execute processing
$oMRController = new ModRewriteController($_SERVER['REQUEST_URI']);
$oMRController->execute();

if ($oMRController->errorOccured()) {

    // an error occured (idcat and or idart couldn't catched by controller)

    $iRedirToErrPage = ModRewrite::getConfig('redirect_invalid_article_to_errorsite', 0);
    // try to redirect to errorpage if desired
    // if ($iRedirToErrPage == 1 && (int) $client > 0 && (int) $lang > 0) {
    //    global $errsite_idcat, $errsite_idart;

    //    if ($cfgClient['set'] != 'set')	{
    //        rereadClients();
    //    }

	// BERTL was here
	// URL: http://forum.contenido.org/viewtopic.php?f=62&t=32203

		if ($iRedirToErrPage == 1 && (int) $client > 0 && (int) $lang > 0) {

		      global $errsite_idcat, $errsite_idart;
		      $idart = $errsite_idart[$client];
		      header("HTTP/1.0 404 Not found");

	//	    }

	// END BERTL


        // errorpage
        $aParams = array (
            'client' => $client, 'idcat' => $errsite_idcat[$client], 'idart' => $errsite_idart[$client],
            'lang' => $lang, 'error'=> '1'
        );
        $errsite = 'Location: ' . Contenido_Url::getInstance()->buildRedirect($aParams);
        mr_header($errsite);
        exit();
    }

} else {

    // set some global variables

    if ($oMRController->getClient()) {
        $client = $oMRController->getClient();
    }

    if ($oMRController->getChangeClient()) {
        $changeclient = $oMRController->getChangeClient();
    }

    if ($oMRController->getLang()) {
        $lang = $oMRController->getLang();
    }

    if ($oMRController->getChangeLang()) {
        $changelang = $oMRController->getChangeLang();
    }

    if ($oMRController->getIdArt()) {
        $idart = $oMRController->getIdArt();
    }

    if ($oMRController->getIdCat()) {
        $idcat = $oMRController->getIdCat();
    }

    if ($oMRController->getPath()) {
        $path = $oMRController->getPath();
    }

}

// some debugs
$oDebug->addDebug($mr_preprocessedPageError, 'mr $mr_preprocessedPageError', __FILE__);
$oDebug->addDebug($idart, 'mr $idart', __FILE__);
$oDebug->addDebug($idcat, 'mr $idcat', __FILE__);
$oDebug->addDebug($lang, 'mr $lang', __FILE__);
$oDebug->addDebug($client, 'mr $client', __FILE__);

